Bug 58234 - the second eepro100 adapter does not use parameter in /etc/modules.conf
the second eepro100 adapter does not use parameter in /etc/modules.conf
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-11 09:42 EST by Klaus Lehnen
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-12 04:29:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Klaus Lehnen 2002-01-11 09:42:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
the second eepro100 adapter does not use parameter in /etc/modules.conf

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Activate two intel eepr100 Network Cards in your server 
2. Force the speed and mode in /etc/modules.conf
3. reboot the server or run /etc/rc.d/init.d/network restart
	

Actual Results:  the first eepro100 adapter uses the options 
in /etc/modules.conf.
the second does not use the options in /etc/modules.conf.

Expected Results:  both adapter should use the options in /etc/modules.conf.
in my case:
Both eepro100 should run with 100/FD-mode.

My Workaround:
============== 
I use a startup script /etc/rc.d/rc3.d/S99eth1_100fd with content:
ifdown eth1
mii-tool -v --force 100baseTx-FD eth1
ifup eth1

Additional info:

my /etc/modules.conf

################################################################
# Klaus Lehnen Optionen fC<r eepro100                           #
# nach dem setzen von neuen Optionen folgenden Befehl ausfuehren
# depmod -a
# Hex Decimal Meaning
# 0x10 16 Force Full-Duplex operation (must be used with 0x20 or 0x40)
# 0x20 32 Force 100mbps-only operation
# 0x30 48 Force 100mbps-only with Full Duplex
# 0x40 64 Force 10mbps-only
# 0x50 80 Force 10mpps-only with Full Duplex
alias eth0 eepro100
alias eth1 eepro100
options eth0 options=0x30
options eth1 options=0x30
alias scsi_hostadapter cciss
# Klaus Lehnen wegen Problemen bein Systemstart
alias parport_lowlevel off
alias usb-controller off
alias scsi_hostadapter1 qla2x00
Comment 1 Arjan van de Ven 2002-01-15 15:55:57 EST
Ok can you try:
options eth0 options=0x30,0x30
instead?
 (ok looks weird but..)

also I would be interested to know if/why the eepro100 doesn't autodetect the
proper speed automatically.....

Comment 2 Bill Nottingham 2002-01-15 17:02:46 EST
you also may want to try 'options eepro100'....
Comment 3 Arjan van de Ven 2002-02-11 10:43:19 EST
Any progress on this ?
Comment 4 Klaus Lehnen 2002-02-12 04:28:57 EST
it works fine with the following entry in /etc/modules.conf:
options eth0 options=0x30,0x30



Comment 5 Arjan van de Ven 2002-02-12 04:34:05 EST
Ok, I'll close this issue as "WORKSFORME"; it's not an optimal solution but
there's nothing the kernel can do, the kernel has nothing to do with
/etc/modules.conf at all.

Note You need to log in before you can comment on or make changes to this bug.